Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::sphere_node Class Reference

Inheritance diagram for openvrml::vrml97_node::sphere_node:

[legend]
List of all members.

## Detailed Description

Sphere node instances.

## Public Member Functions
| sphere_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~sphere_node () throw ()
| Destroy.
virtual const openvrml::bounding_volume & | bounding_volume () const
| Get the bounding volume.
## Private Member Functions
virtual viewer::object_t | do_render_geometry (openvrml::viewer &viewer, rendering_context context)
| Insert this geometry into `viewer's` display list.
## Private Attributes
sffloat | radius
| radius field.
bounding_sphere | bsphere
| Bounding volume.
## Friends
class | sphere_class
| Class object for Sphere instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::sphere_node::sphere_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

  | Construct. Parameters:
  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::sphere_node::~sphere_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

const bounding_volume & openvrml::vrml97_node::sphere_node::bounding_volume | ( |  | ) | const`[virtual]`

| Get the bounding volume. Returns: the bounding volume associated with the node. Reimplemented from openvrml::node.

viewer::object_t openvrml::vrml97_node::sphere_node::do_render_geometry | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

  | Insert this geometry into `viewer's` display list. Parameters:
  | viewer | a Viewer.
  | context | the rendering context.
Reimplemented from openvrml::geometry_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::sphere_node::sphere_class`[friend]`

| Class object for Sphere instances.

## Member Data Documentation

sffloat openvrml::vrml97_node::sphere_node::radius`[private]`

| radius field.

bounding_sphere openvrml::vrml97_node::sphere_node::bsphere`[private]`

| Bounding volume.